<?xml version="1.0" encoding="UTF-8"?>
<fmiModelDescription
  fmiVersion="2.0"
  modelName="@DUMMY_FMU_NAME@"
  description="Dummy FMU for SSP integration testing"
  generationTool=""
  guid="@FMUGUID@"
  generationDateAndTime="@FMUTIMESTAMP@"
  numberOfEventIndicators="1">

  <CoSimulation
    modelIdentifier="@DUMMY_FMU_NAME@"
    canHandleVariableCommunicationStepSize="true"
    canNotUseMemoryManagementFunctions="true"
    canGetAndSetFMUstate="true"
    canSerializeFMUstate="true">
  </CoSimulation>

  <LogCategories>
    <Category name="logEvents" description="Log events"/>
    <Category name="logStatusError" description="Log error messages"/>
  </LogCategories>

  <DefaultExperiment startTime="0" stopTime="3" stepSize="1e-2"/>

  <ModelVariables>

    <ScalarVariable name="InputDouble" valueReference="0"  causality="input">
        <Real  start="0.0" />
    </ScalarVariable>
    <ScalarVariable name="InputInteger" valueReference="0" variability="discrete" causality="input">
        <Integer  start="0" />
    </ScalarVariable>
    <ScalarVariable name="InputBoolean" valueReference="0" variability="discrete" causality="input">
        <Boolean  start="false" />
    </ScalarVariable>
    <ScalarVariable name="OutputDouble" valueReference="1"  causality="output">
        <Real  />
    </ScalarVariable>
    <ScalarVariable name="ComponentState" valueReference="1" variability="discrete" causality="output">
        <Enumeration declaredType="ComponentState" />
    </ScalarVariable>
    <ScalarVariable name="ScaleParameter.Value" valueReference="2" variability="tunable" causality="parameter">
        <Real  start="0.0"/>
    </ScalarVariable>
        
  </ModelVariables>

  <ModelStructure>
  </ModelStructure>

</fmiModelDescription>
